## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

%global debug_package %{nil}

# https://github.com/containerd/btrfs
%global goipath         github.com/containerd/btrfs
Version:                1.0.0

%gometa

%global godevelheader   %{expand:
Requires: btrfs-progs-devel
}

%global common_description %{expand:
Package btrfs provides bindings for working with btrfs partitions from Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Btrfs bindings for Go

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
# Fix compilation with GCC 14.2
# not upstreaming since upstream is already at version 2
Patch0:         btrfs-fix_for_gcc14.diff

BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  btrfs-progs-devel

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 07 2024 Michel Lind <salimma@fedoraproject.org> - 1.0.0-15
- Fix compilation with GCC 14.2

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 1.0.0-14
- convert ASL 2.0 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-12
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 31 2022 Maxwell G <gotmax@e.email> - 1.0.0-4
- Add mising dependency to fix FTBFS.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 11:23:04 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.0.0-1
- Update to upstream 1.0.0 (fixes rhbz#1963442)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 13:58:57 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.6.20210109git404b914
- Bump to commit 404b9149801e455c8076f615b06dc0abee0a977a

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 14:21:47 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20200725git1539353
- Bump to commit 153935315f4ab9be5bf03650a1341454b05efa5d

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 01 15:40:40 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190626gitaf50828
- Initial package

## END: Generated by rpmautospec
